Bug 985196 - When reorganizing form fields in Form modeler canvas some horizontal drop areas not displayed
When reorganizing form fields in Form modeler canvas some horizontal drop are...
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Form Modeler (Show other bugs)
Unspecified Unspecified
medium Severity low
: ER3
: 6.0.0
Assigned To: Pere Fernàndez
Jan Hrcek
Depends On:
  Show dependency treegraph
Reported: 2013-07-17 01:07 EDT by Jan Hrcek
Modified: 2014-08-06 16:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-08-06 16:12:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Horizontal drop area not displayed (131.47 KB, image/png)
2013-07-17 01:07 EDT, Jan Hrcek
no flags Details

  None (edit)
Description Jan Hrcek 2013-07-17 01:07:33 EDT
Created attachment 774610 [details]
Horizontal drop area not displayed

Description of problem:

When reorganizing form fields in Form modeler canvas some horizontal drop areas not displayed. Although the element should be visible, so we can drop the field to it, it is rendered in HTML with style "display:none". See screenshot.

Version-Release number of selected component (if applicable):
BPMS 6.0.0.DR6

How reproducible:

Steps to Reproduce:
1. Login to business-central and navigate to: Authoring > Project authoring
2. In Project Explorer select demo>jbpm-playground>HR>Form definitions and click HRInterview-taskform
3. In the Form Modeler switch to "Add fields by origin" to display form canvas.
4. Move email field on the first line next to Candidate name field (highlight email, click Move, and drop on vertical drop area after candidate name. You should get arrangement as in the screenshot.
5. Now highlight email field again and click move...

Actual results:
Only 3 horizontal drop areas are displayed. The one between "Candidate name" and "Age" is present in the HTML, but not visible. So it is impossible to move the "email" field on the line between those 2.

Expected results:
All 4 horizontal drop areas should be displayed so that user can move "Email" field on line 2.

Additional info:
See screenshot for details.
Comment 1 Jan Hrcek 2013-07-17 01:13:00 EDT
P.S.: I know, it is possible to move the "Email" field to the 2nd line using "Ungroup with previous" button. But it is impossible to do it using "Move" button, but it makes sense (and makes the GUI more consistent) so it should be possible.
Comment 2 Pere Fernàndez 2013-08-07 09:48:28 EDT
Fixed the js that shows the drop-zones.

Comment 3 Jan Hrcek 2013-09-02 07:17:48 EDT
The problem is still present in BPMS 6.0.0.ER2 - I checked the product branch 6.0.x on github and the commit is missing there. It is only present in master branch. Please add the commit to the product branch as well.
Comment 4 Pere Fernàndez 2013-09-02 09:16:44 EDT
Done, sorry.
Comment 5 Jan Hrcek 2013-09-23 01:43:18 EDT
Verified with BPMS 6.0.0 ER3

Note You need to log in before you can comment on or make changes to this bug.